curl
curl -sS -X POST "https://gateway.orbit/api/v1/agent/broadcasting/auth" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"socket_id": "example", "channel_name": "example", "version": "example"}'
{
"auth": "<string>",
"channel_data": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Node callbacks
Authorize the agent's presence channel
The orbit-agent on a managed Node calls this endpoint to join its own presence channels. The Gateway signs member agent.{id} on presence-node.{id} or presence-node-logs.{id} only for a request from that Node’s WireGuard address that carries the Node’s agent secret. The response carries the Pusher auth and channel_data values.
POST
/
api
/
v1
/
agent
/
broadcasting
/
auth
curl
curl -sS -X POST "https://gateway.orbit/api/v1/agent/broadcasting/auth" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"socket_id": "example", "channel_name": "example", "version": "example"}'
{
"auth": "<string>",
"channel_data": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}